//
// wrapper.go
// Copyright (C) 2023 tiglog <me@tiglog.com>
//
// Distributed under terms of the MIT license.
//

package gqueue

import "github.com/hibiken/asynq"

type Task = asynq.Task
type Client = asynq.Client
type Server = asynq.Server
type ServeMux = asynq.ServeMux

var GetRetryCount = asynq.GetRetryCount
var GetTaskID = asynq.GetTaskID
var GetQueueName = asynq.GetQueueName
var GetMaxRetry = asynq.GetMaxRetry

var ProcessIn = asynq.ProcessIn
var ProcessAt = asynq.ProcessAt

var MaxRetry = asynq.MaxRetry
var Timeout = asynq.Timeout
var SkipRetry = asynq.SkipRetry

var NewTask = asynq.NewTask
var NewServeMux = asynq.NewServeMux
var NewClient = asynq.NewClient
